libqtxdg (3.11.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 14:22:58 -0700

libqtxdg (3.11.0-0.1~S7) bookworm; urgency=medium

  * New upstream version

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 10:59:01 +0300

libqtxdg (3.10.0-2) unstable; urgency=medium

  * Add soversion in install files to prevent accidentally bumping soversion.
  * Add shlibs files.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Dec 2022 00:32:45 +0800

libqtxdg (3.10.0-1) sid; urgency=medium

  [ Palo Kisa ]
  * debian/watch: Fix github uscan processing
  * New upstream version 3.10.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:35:40 +0800

libqtxdg (3.9.1-3) sid; urgency=medium

  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: link time optimizations enabled. (Closes: #1015514)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 16:13:13 +0800

libqtxdg (3.9.1-2) experimental; urgency=medium

  * Bumped Standards-Version to 4.6.1, no change required.
  * Upstreamed symbols file for libqt5xdgiconloader3 from Ubuntu.
  * Changed "binary-without-manpage" to "no-manual-page" in
    qtxdg-dev-tools.lintian-overrides.
  * Upstreamed watch file from Ubuntu.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 28 Jun 2022 23:10:20 -0500

libqtxdg (3.9.1-1) experimental; urgency=medium

  * New upstream release (Closes: #1013334).
  * Add back symbols file.
  * Update install file.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 27 Jun 2022 22:28:56 -0500

libqtxdg (3.8.0-2) experimental; urgency=medium

  * Fix upstream metadata.
  * Add Rules-Requires-Root: no.
  * Remove unnecessary -Wl,--as-needed.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 13 Feb 2022 23:24:53 +0800

libqtxdg (3.8.0-1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 3.8.0

  [ S. 7 ]
  * Update copyright
  * Bump Standards to 4.6.0 (no changes)
  * Refresh debian/libqt5xdg3.symbols file.
  * Refresh debian/libqt5xdgiconloader3.symbols file
  * debian/libqt5xdg3.install: install lxqt-qtxdg.conf and qtxdg.conf.
  * Update changelog

  [ Andrew Lee (李健秋) ]
  * Update debian/copyright.
  * Use debhelper-compat = 13, no changes needed.
  * Rework on symbols for i386.
  * debian/rules: Add cmake fix to make reprotest happy.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 11 Jan 2022 15:09:23 +0800

libqtxdg (3.6.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 3.6.0.
  * refresh debian/libqt5xdg3.symbols file.
  * Fix unindented lines.
  * Add salsa-ci.yml file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 25 Dec 2020 10:53:00 +0800

libqtxdg (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Switched to gbp
  * Bumped Standards to 4.4.1, no changes needed
  * Removed Dbus patch, fixed upstream
  * Added new symbols
  * Fixed tools packaging and descriptions
  * Added qtxdg-dev-tools to libqtxdg recommends

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 18:28:10 +0100

libqtxdg (3.3.1-2) unstable; urgency=medium

  * Upstream patch: Avoid freeze for DBusActivatable apps (Closes: #928721)

 -- Alf Gaida <agaida@siduction.org>  Thu, 09 May 2019 17:57:01 +0200

libqtxdg (3.3.1-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.3.1.
  * Added build dependency lxqt-build-tools (>= 0.6.0)
  * Removed some cmake files from debian/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 17:18:32 +0100

libqtxdg (3.3.0-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.3.0
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Added Build-Depends-Package field to symbols
  * Fixed the location of some files in d/copyright
  * Fixed years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 12:49:28 +0100

libqtxdg (3.2.0-2) unstable; urgency=medium

  * Added libqtxdg dependency libglib2.0-bin
    (Closes: #902054, #902055)

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Jun 2018 14:35:01 +0200

libqtxdg (3.2.0-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.2.0
  * Fixed watchfile lxde -> lxqt
  * Moved ./debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 01:44:48 +0200

libqtxdg (3.1.0-6) unstable; urgency=medium

  * Bumped debhelper to >= 11~
  * Bumped compat to 11
  * Installed examples
  * Removed cmake minimum version, not needed any longer
  * Bumped Standards to 4.1.4, no changes needed
  * Removed trailing whitespaces
  * Changed VCS fields to salsa
  * Fixed homepage link
  * Added dependency file to libqtxdg
  * Added dependency libmagic-dev to libqtxdg-dev
  * Use a secure link to copyright-format
  * Fixed Source link
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Apr 2018 20:32:25 +0200

libqtxdg (3.1.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 01:52:34 +0100

libqtxdg (3.1.0-4) unstable; urgency=medium

  * Switch to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 02:22:57 +0100

libqtxdg (3.1.0-3) experimental; urgency=medium

  * Removed superfluous line from symbols
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Thu, 30 Nov 2017 21:26:44 +0100

libqtxdg (3.1.0-2) experimental; urgency=medium

  * Pick up Qt 5.9.2

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 19:11:33 +0200

libqtxdg (3.1.0-1) experimental; urgency=medium

  * Cherry-picked new upstream-release 3.1.0
  * Added lintian-overrides for tools package
  * Added new symbols for action handling

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 13:53:34 +0200

libqtxdg (3.0.0-1) experimental; urgency=medium

  * Imported new upstream release: 3.0.0
  * Switched to experimental
  * Renamed packages to reflect the new soname
  * Added dependency libqt5svg5-dev to QtXdgIconloader dev package.
  * Bumped Standards to 4.1.1
  * Added override_dh_missing
  * Added tools package
  * Fixed symbols
  * Reworked copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Oct 2017 18:01:08 +0200

libqtxdg (2.0.0-8) unstable; urgency=medium

  * Added dependency libqt5svg5-dev to QtXdgIconloader dev package.
    (Closes: #877569)- Thanks Tim Dengel <tim.dengel.debian@gmail.com>
  * Bumped Standards to 4.1.1
  * added override_dh_missing to rules

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Oct 2017 16:32:20 +0200

libqtxdg (2.0.0-7) unstable; urgency=medium

  * Added qttranslations5-l10n to Recommends - without this packagage there are
    no working shortcuts in localized LXQt desktops. So we want to make sure
    that the package is at least recommended for qtxdg based packages.

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Jul 2017 21:54:16 +0200

libqtxdg (2.0.0-6) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Added Dependeny share-mime-info (Closes: #866744)
  * Bumped year in copyrights
  * Removed --parallel from rules, default in compat-leveld 10

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 14:15:07 +0200

libqtxdg (2.0.0-5) unstable; urgency=medium

  * Rebuild  with Qt 5.7.1~

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Nov 2016 17:59:49 +0100

libqtxdg (2.0.0-4) unstable; urgency=medium

  * Cherry-picked new upstream release 2.0.0.
  * Added current signing key
  * Bumped compat to 10
  * Bumped debhelper to (>= 10)
  * Added build dependency libqt5svg5-dev
  * Renamed package libqt5xdg1 -> libqt5xdg2 (soname bump)
  * Added packages libqt5xdgiconloader2 and libqt5xdgiconloader-dev
  * XdgIconLoader: Recommend gtk-update-icon-cache
    Thanks Rohan Garg <rohan@kde.org>
  * Renamed install and symbols files
  * Fixed symbols
  * Fixed .gitignore
  * Reworked descriptions in debian/control to prevent lintian whining
  * Fixed copyright for xdgiconloader
  * Added README.md to debian/docs
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 20:16:32 +0200

libqtxdg (1.3.0-4) unstable; urgency=medium

  * Added libfile-mimeinfo-perl as dependency, we really need this, a
    recommendation is not enough. Thanks tsujan.
  * Bumped standards to 3.9.8, no changes needed
  * Bump years in copyright
  * Added README to debian/docs
  * Added hardening=+all
  * Exported  LC_ALL=C.UTF-8 - define language settings for
    reproducible builds
  * Fixed VCS-fields, use https and plain /git/
  * Fixed copyrights Format field to https

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Aug 2016 23:06:12 +0200

libqtxdg (1.3.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:01:26 +0100

libqtxdg (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update Vcs-*.
  * Update gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 12 Nov 2015 19:03:47 +0800

libqtxdg (1.3.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 1.3.0.

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Oct 2015 18:09:50 +0100

libqtxdg (1.2.0+20150807-2) unstable; urgency=medium

  * cme fix dpkg-control
  * remove not needed breaks and replaces
  * removed unused files and paragraphs from copyright
  * use only github in watchfile
  * update upstream signing key

 -- Alf Gaida <agaida@siduction.org>  Mon, 31 Aug 2015 23:37:19 +0200

libqtxdg (1.2.0+20150807-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Update copyright
  * Add -Wl,--as-needed to LDFLAGS
  * Initial release (Closes: #757133)

  [ Alf Gaida ]
  * some improvements in debian $foo
  * changes some whitespaces in rules

  [ Andrew Lee (李健秋) ]
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Merging upstream version 1.2.0+20150807.
  * Use whitespace separated instead of commas to fit the machine-readable
    copyright format.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 04:07:21 +0800
